0

Documentation generation error

David M 2 years ago updated by SomeT 2 years ago 4

I'm attempting to use a third party asset with bolt, but I'm not able to generate documentation in Bold.
I have installed MSBuild as stated in another post, but it did not fix the problem.

I'm new to bolt and not sure what else to try.

Here is the error log
Error

Bolt Version:
1.4.4
Unity Version:
2018.4.2
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):

Bolt is still 100% usable without generating documentation. The process of generating documentation is getting completely overhauled for Bolt 2 so you won't have any issues with it once that releases.

Please also read these resources:
1. FAQ: https://ludiq.io/bolt/faq
2. Known Issues: https://ludiq.io/bolt/known-issues

@TowerCrow thanks for the response. 

Yes bolt is still functional. But I want to use bolt will another asset from the asset store. Isnt generating documentation the only way for bolt to access the other asset? 

If there's another way, I would like to know? I'm still learning bolt.

> If there's another way, I would like to know? I'm still learning bolt.

No worries, we were all new here at one point. You integrate 3rd party assets via Bolt's Unit Options Wizard. It's not related to the documentation in any way. So you can still use Bolt with another asset. 

To fix documentation error I uninstalled visual studio 2017 and ms build tools. Then I installed visual studio 2019, I was then able to generate the documentation fine.